package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.base.api.domain.BmFlowRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2024/3/16 12:59
* @Version 1.0
*/

@Mapper
public interface BmFlowRecordMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(BmFlowRecord record);

    int insertOrUpdate(BmFlowRecord record);

    int insertOrUpdateSelective(BmFlowRecord record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(BmFlowRecord record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    BmFlowRecord selectByPrimaryKey(Integer id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(BmFlowRecord record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(BmFlowRecord record);

    int updateBatch(List<BmFlowRecord> list);

    int updateBatchSelective(List<BmFlowRecord> list);

    int batchInsert(@Param("list") List<BmFlowRecord> list);
}